#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

RF24 radio(9,10);
const uint64_t pipe = 0xF0F0F0F0E1LL;
int joystick[2];

void sendData()
{
    pinMode(5, INPUT);
    pinMode(6, INPUT);
    pinMode(7, INPUT);
    pinMode(8, INPUT);
    //вкл. внутр. подтягивающие резисторы
    digitalWrite(5,HIGH);
    digitalWrite(6,HIGH);
    digitalWrite(7,HIGH);
    digitalWrite(8,HIGH);

  
    radio.openWritingPipe(pipe);
    radio.startListening();
    radio.write( joystick, sizeof(joystick) );
    delay(20); 
    //delay(80); 
}

void setup(void)
{
  //Serial.begin(57600);
  radio.begin();
  radio.setRetries(15,15);
  //radio.setChannel(1);
  radio.openWritingPipe(pipe);
  radio.startListening();
  
}

void loop(void)
{
  joystick[0] = analogRead(A0);
  joystick[0] = map(joystick[0],0,1023,1,180);
  if(digitalRead(5))
  {
    joystick[1] |= 1<<0;
  }
  else
  {
    joystick[1] &= ~(1<<0);
  }
  if(digitalRead(6))
  {
    joystick[1] |= 1<<1;
  }
  else
  {
    joystick[1] &= ~(1<<1);
  }
  if(digitalRead(7))
  {
    joystick[1] |= 1<<2;
  }
  else
  {
    joystick[1] &= ~(1<<2);
  }
  if(digitalRead(8))
  {
    joystick[1] |= 1<<3;
  }
  else
  {
    joystick[1] &= ~(1<<3);
  }
  
  
  sendData();
}
